package org.springblade.system.mapper;

import org.springblade.common.core.domain.entity.SysDept;
import org.springblade.system.domain.DaKyProFilesContentsDto;
import org.springblade.system.domain.ProSelectDto;
import org.springblade.system.domain.TransferApplyDto;
import org.springblade.system.domain.TransferFileDto;

import java.util.List;

/**
 * @Author：liang.chao
 * @Date：2025/9/15 - 11:27
 */
public interface TransferApplyMapper {
    public List<TransferApplyDto> list(TransferApplyDto dto);
    public Integer insert(TransferApplyDto dto);

    Integer insertTransferFile(TransferFileDto transferFileDto);

    TransferApplyDto getTransferApply(TransferApplyDto dto);

    List<TransferFileDto> getTransferFile(TransferApplyDto dto);

    Integer edit(TransferApplyDto dto);

    Integer delTransferFiles(TransferApplyDto dto);

    Integer del(TransferApplyDto dto);

    Integer audit(TransferApplyDto dto);

    Integer addTransferAuditRecord(TransferApplyDto dto);

    List<SysDept> getDeptSelect(TransferApplyDto dto);

    List<ProSelectDto> getProSelect(TransferApplyDto dto);

    List<String> getTransferApplyFilesContents(TransferApplyDto dto);

    List<DaKyProFilesContentsDto> getTransferApplyFiles(TransferApplyDto content);

    List<TransferFileDto> getTransferRecordFiles(TransferFileDto dto);

    String getProNameById(TransferApplyDto dto);

    Integer updateTransferRecordFile(TransferFileDto dto);

    List<DaKyProFilesContentsDto> getTransferApplyFilesByApplyId(TransferApplyDto dto);

    Integer transferReceive(TransferFileDto dto);

    Integer isAllReceive(TransferFileDto dto);

    Integer updateTransferStatus(TransferFileDto dto);

    List<String> getDeptList(TransferApplyDto dto);

    Integer updateTransferRecordFilesStatus(TransferFileDto dto);

    void setTransferTime(TransferFileDto dto);

    String getTransferApplyTransferTime(TransferFileDto dto);

    Integer getAllTransferStatus(TransferFileDto dto);

    Integer updateReceiveStatus(TransferFileDto dto);

    Integer isAllReceiveByProject(TransferFileDto dto);

    Integer updateProjectFileStatus(TransferFileDto dto);

    Integer delRecord(TransferApplyDto dto);

	List<DaKyProFilesContentsDto> ArchivingManageFile(TransferApplyDto dto);
}
